Skip to content
Letterhead Letterhead Letterhead Help Center
Admin Tools

Create a draft from a template

POST
/api/v3/letters/{letterUuid}/actions/draft
curl --request POST \
--url https://api.tryletterhead.com/api/v3/letters/example/actions/draft \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{ "api": true, "channel": "an-example-channel", "subject": "Who doesn'\''t love a good movie?", "subtitle": "A new exhibition, two openings, and a closer look at this season'\''s residency.", "suppress": [ "some-other-channel" ], "curations": [ { "excerpt": "Pan'\''s Labyrinth should be number one, we think.", "tags": [ "pans-labyrinth" ], "title": "The 100 Best Movies of the 21st Century", "url": "https://www.nytimes.com/interactive/2025/movies/best-movies-21st-century.html" } ] }'
letterUuid
required
string

The letter’s unique identifier — an alphanumeric string around ten characters, e.g. ludctamgd6.

Media type application/json
object
api

This is a little silly, but you need to inform the API endpoint that you are interfacing with it as a RESTful API user.

boolean
channel
string
subject
string
subtitle

(optional) Override the template’s subtitle (email preview text) for this draft edition. Max 191 chars. Omit or send null to keep the template’s existing subtitle.

string
suppress

(optional) An array of channel identifiers (slugs), to suppress sending to anyone on “an-example-channel” who is also subscribed to one or more of the channels passed here.

Array<string>
curations
Array<object>
object
excerpt
string
tags
Array<string>
title
string
url
string
Example
{
"api": true,
"channel": "an-example-channel",
"subject": "Who doesn't love a good movie?",
"subtitle": "A new exhibition, two openings, and a closer look at this season's residency.",
"suppress": [
"some-other-channel"
],
"curations": [
{
"excerpt": "Pan's Labyrinth should be number one, we think.",
"tags": [
"pans-labyrinth"
],
"title": "The 100 Best Movies of the 21st Century",
"url": "https://www.nytimes.com/interactive/2025/movies/best-movies-21st-century.html"
}
]
}

Create a draft from a template

Still can’t find what you need? Contact support.